## sphinx-remove-toctrees 0.0.3

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = SphinxCopybutton
SOURCEDIR     = .
BUILDDIR      = _build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

=== debian/changelog ===
sphinx-remove-toctrees (0.0.3-4) unstable; urgency=medium

  * Team upload.
  * Add missing s letter to the Vcs fields.
  * Add a patch to make the tests pass with Sphinx 7.2.

 -- Dmitry Shachnev <mitya57@debian.org>  Fri, 03 Nov 2023 10:45:14 +0300

sphinx-remove-toctrees (0.0.3-3) unstable; urgency=medium

  * Add source/options extend-diff-ignore egg-info (Closes: #1049154)
  * Add debian/salsa-ci.yaml

 -- Diane Trout <diane@ghic.org>  Tue, 15 Aug 2023 14:55:02 -0700

sphinx-remove-toctrees (0.0.3-2) unstable; urgency=medium

  * Fix debian/watch url
  * Add autopkgtest configuration

 -- Diane Trout <diane@ghic.org>  Tue, 08 Mar 2022 22:26:50 -0800

sphinx-remove-toctrees (0.0.3-1) unstable; urgency=low

  * Initial packaging (Closes: 1001607)

 -- Diane Trout <diane@ghic.org>  Sun, 12 Dec 2021 13:15:51 -0800

=== debian/control ===
Source: sphinx-remove-toctrees
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Diane Trout <diane@ghic.org>
Section: python
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               python3-all,
               python3-bs4 <!nocheck>,
               python3-pytest <!nocheck>,
               python3-setuptools,
               python3-sphinx (>= 1.8)
Standards-Version: 4.6.0
Homepage: https://github.com/executablebooks/sphinx-remove-toctrees
Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-remove-toctrees
Vcs-Git: https://salsa.debian.org/python-team/packages/sphinx-remove-toctrees.git
Rules-Requires-Root: no

Package: python3-sphinx-remove-toctrees
Architecture: all
Depends: ${misc:Depends}, ${python3:Depends}
Description: Reduce sphinx documentation build times
 Improve your Sphinx build time by selectively removing TocTree
 objects from pages.  This is useful if your documentation uses
 auto-generated API documentation, which generates **a lot** of stub
 pages.
 .
 This extension can be used to remove the sidebar links for just the
 pages you specify, speed up the build considerably.
 .
 ## Who is this for?
 .
 This package is for maintainers that use Sphinx and have really large
 API documentation (or for some other reason, have a ton of nested
 pages).  If you use a Sphinx theme that contains the entire Table of
 Contents on every page (e.g., any theme that has "collapsable"
 sidebar sections), this will slow things down considerably.  Use this
 theme to speed up your builds.

=== debian/watch ===
# github was chosen for upstream source because the pypi didn't
# include the package tests.
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*@ARCHIVE_EXT@)%@PACKAGE@-$1%" \
    https://github.com/executablebooks/sphinx-remove-toctrees/tags \
    (?:.*?/)?v?@ANY_VERSION@@ARCHIVE_EXT@

## sphinx-remove-toctrees 1.0.0

=== debian/changelog ===
sphinx-remove-toctrees (1.0.0-1) unstable; urgency=medium

  * New upstream release
  * Add debian/gbp.conf file to configure default branch name
  * Add pybuild-plugin-pyproject, python3: hatchling, ipython, myst-parser, and
    sphinx-book-theme to Build-Depends
  * Remove unneeded Make-the-tests-pass-with-Sphinx-7.2.patch resolved upstream

 -- Diane Trout <diane@ghic.org>  Sat, 15 Jun 2024 15:05:51 -0700

=== debian/control ===
--- 
+++ 
@@ -5,11 +5,16 @@
 Priority: optional
 Build-Depends: debhelper-compat (= 13),
                dh-python,
+               pybuild-plugin-pyproject,
                python3-all,
+               python3-hatchling,
                python3-bs4 <!nocheck>,
+               python3-ipython <!nocheck>,
+               python3-myst-parser <!nocheck>,
                python3-pytest <!nocheck>,
                python3-setuptools,
-               python3-sphinx (>= 1.8)
+               python3-sphinx (>= 5),
+               python3-sphinx-book-theme,
 Standards-Version: 4.6.0
 Homepage: https://github.com/executablebooks/sphinx-remove-toctrees
 Vcs-Browser: https://salsa.debian.org/python-team/packages/sphinx-remove-toctrees

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=sphinx-remove-toctrees
%:
	dh $@ --with python3 --buildsystem=pybuild

# Skip tests as it depends on myst_parser which isn't pacakged for debian
.PHONY: override_dh_auto_test

=== debian/tests/control ===
Tests: run-tests
Depends: @,
 python3-all,
 python3-bs4,
 python3-myst-parser,
 python3-pytest,
 python3-sphinx-book-theme,
